SP-ICE-3 Software - Software v1.43.1 (Released 16-03-21)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0013005: [BUG] P2P card cannot be discovered if no Ethernet connection exists at startup.
 #0013003: [BUG] Magnification ramp not correctly processed.
 #0013000: [BUG] LaserOff command re-enables the dash generator: subsequent marks/jumps all "dashed".


SP-ICE-3 Software - Software v1.43.0 (Released 19-02-21)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0012914: [Change Request] Rename property in native SystemConfig from "Timezone" to "TimeZone".
 #0012912: [Change Request] Improve temporal precision of micro-vector generation.
           Consequently, the positional deviation, which can be observed particularly in high-speed applications, is significantly reduced.
 #0012909: [Change Request] Dash-line pattern does not align with vector's start position when laser-on delay is non-zero.
 #0012908: [Change Request] Introduce new SkyWritingMode "Minimum Change-of-Heading" (in addition to "Force at start-finish").
           A new list command "AppendSkyWritingMode" has been added, and selects one of the two sky-writing modes, or "Disabled" in order to deactivate sky-writing.
           The existing command "AppendEnableSkyWriting" is now obsolete, and will be removed in a future release.
 #0012900: [Change Request] Add Favourites tab to the User's Manual.
           The User's Manual now provides a "Favorites" tab for your convenience.
 #0012898: [Change Request] Remove redundant local HTML help pages from SP-ICE-3 Software Distribution Package.
           The .chm file provides the same content in convenient, locally accessible form.
 #0012841: [Change Request] Adjust all native xxxConfig.ToString()s so their output format is identical with that of the managed methods.
           In particular, the Client-Log entries for xxxConfigs generated by native and managed Clients are now identical.
 #0012926: [BUG] Power values stop being output for bitmaps extending more than 262ms.
 #0012925: [BUG] Intermittent faulty power values when section of power ramp extends more than 262ms.
           Occasionally a power value was skipped or zero (0) was output.
 #0012915: [BUG] Incorrect power values are written for non-16bit wide power targets (for example "Digital8Bit").
 #0012910: [BUG] ADC adapter's FPGA should be automatically configured after being enabled.
           Now, when enabling the ADC adapter it will be immediately configured. An explicit card reboot is no longer required.
 #0012899: [BUG] CommandList.ToString() output differs between native and managed Clients.
           Native and managed Client CommandList.ToString() format is now identical .
 #0012855: [BUG] rlMotorGetVariables always returns bogus values for CoordinatedAcceleration and CoordinatedVelocity.
 #0012847: [BUG] Inconsistent member name "Transform" in native rlProcessVariables vs "Transformation" in managed ProcessVariables.
 #0012824: [BUG] ClientLib: Discovery occasionally fails to find any IPv4 addresses.
           The ClientLib now keeps on re-trying discovery until the ClientAPI.Timeout expires.
 #0012728: [BUG] Firmware occasionally fails to start when card is (re)booted.
 #0012705: [BUG] Marking bitmaps using the sprint algorithm may lead to bitmaps wrongly marked and an error at the end of execution in rare cases.


SP-ICE-3 Software - Software v1.42.0 (Released 19-11-20)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0012699: [New Feature] Add new list command "AppendWaitForInput": halts execution until a condition on the input port is met.


SP-ICE-3 Software - Software v1.41.2 (Released 09-11-20)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0012676: [Change Request] IO Voltage Level in SPICE3Config tool should say "Disable" instead of "0V".
 #0012656: [Change Request] When executing a StopMotf command, JumpSpeed should be used when moving the beam to the target position.
 #0012666: [BUG] Homing with method "AtCurrentPosition" ignores "HomeOrigin".
 #0012665: [BUG] Homing with method "AtCurrentPosition" does not change "IsHomed" status.
 #0012664: [BUG] MotorAPI.IsHomed reports incorrect status in some cases (may return 'True' even after call to MotorAPI.ClearHome).
 #0012663: [BUG] Stop Motf command is not executed in some cases (if command is at end of list and Sky-Writing is active).
 #0012662: [BUG] Velocity-dependent power correction not correctly working for arcs, ellipses and Beziers.
 #0012657: [BUG] Power ramping timing could be wrong in rare cases.


SP-ICE-3 Software - Software v1.41.1 (Released 07-10-20)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0012478: [Change Request] Permit concurrent file transfers (including exchanging field corrections) on different clients.
           Concurrent transfers on multiple clients are now possible.
 #0012614: [BUG] Deceleration leg missing if Mark vector is followed by "Stop Motf" or "Laser Off" command.
 #0012613: [BUG] Modifying the dash pattern between two subsequent marks may lead to "Cannot add a delay..." error.
 #0012537: [BUG] Execution of STOP_MOTF does not set the Execution Statistics correctly.
           Execution Statistics are now correctly set by STOP_MOTF.
 #0012515: [BUG] Problem with setting of IP address on Eth0 via WebIF (udhcp overrides EEPROM setting).
           The custom settings are no longer overwritten by the DHCP-Server.
 #0012514: [BUG] Deleting (RemoveAt) a BranchToLabel at the very end of a CommandList causes a ListLabelException.
           Removal of BranchToLabel command is now correctly handled.
 #0012495: [BUG] Power ramping may not work correctly in some cases for elliptic curves, elliptical helixs or Beziers.


SP-ICE-3 Software - Software v1.41.0 (Released 04-08-20)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0012447: [New Feature] Provide new list command "AppendHeadBias" so that bias values can be changed within a list.


SP-ICE-3 Software - Software v1.40.1 (Released 22-07-20)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0012403: [New Feature] Add the ability to define IPv4 Default Gateway via the WebInterface.
           Added a Default Gateway field to the WebIF Settings page, and made it reference an EEPROM entry called "IPV4DEFAULTGW".
           Field is NOT visible when both interfaces are set to DHCP.
 #0012360: [Change Request] SPICE3LogPayer should be added to the RELEASE package.
           Ammended the script in SP-ICE-3-Host-Software to make it copy the binary to the output directory.
 #0012319: [Change Request] Graceful update failures should display better info on WebIF.
           If an error occurs during the update process, it is now reported in a highly visible manner.
 #0012342: [BUG] SPICE3Config suffers timeout when uploading very large correction files.
           Timeout is now adjusted automatically for each CF-upload.
 #0012327: [BUG] WebIF Status page loads dreadfully slowly once the error log has an appreciable size.
           We now only display the tail (max 100 lines) of the log, and use a scrollable textarea to display it.
           The switch-over from the LOGIN to the STATUS tab is now (almost) instantaneous.
 #0012326: [BUG] WebIF returns Http Status 500 if Update is started with no file selected.
           Missing filename no longer causes Http Status 500:
           Instead, a warning message appears on the Update page.


SP-ICE-3 Software - Software v1.40.0 (Released 09-06-20)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0012139: [New Feature] Implement PowerScale and SpeedScale as ListCommands (in addition to the existing ControlCommands).
 #0012273: [Change Request] API log should write an array's elements (now, only a summary such as 'Uint16[]' is written).
 #0012270: [Change Request] Calculate "SkyWriting Extension Length" as "Extension Time" times "Mark Speed" (remove factor 0.5).
 #0012266: [Change Request] SPICE3Config should provide auto-refresh (read and display) for the LaserOut port on the I/O-Tab.
 #0012218: [Change Request] API renaming: SkyWriting property "AccelerationTime" becomes "ExtensionTime".
 #0012217: [Change Request] API renaming: "SkyWritingParameters" becomes "SkyWritingSettings".
 #0012153: [Change Request] Implement missing native rlListGetLastExecutionStats().
 #0012054: [Change Request] Make (private) IP Address calculations available via the ClientLib API.
 #0011914: [Change Request] Remove un-implemented laser config parameters: "Off Power" and "Stand-by Power".


SP-ICE-3 Software - Software v1.39.1 (Released 26-02-20)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0012026: [Change Request] Improve SPICE3IPCalc/GUI Tools so they also show IPv6 addresses.
 #0012006: [Change Request] With sky-writing enabled, first and last mark vector should always have an acceleration and deceleration vector, respectively.
 #0011977: [Change Request] Process Variable "SkyWriting.AccelerationTime" should default to the scanner config's acceleration time.
 #0012024: [BUG] With native API, executing command without parameters (e.g. LON, LOF) leads to IndexOutOfRange exception.
 #0011986: [BUG] A laser-on command ("Drill Dot") with a long duration at or near the beginning of a list may not be executed.
 #0011971: [BUG] If field size Z is 0 then marking vectors with non-0 Z coordinates should not be permitted.


SP-ICE-3 Software - Software v1.39.0 (Released 15-01-20)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011900: [New Feature] Add "Exists" method to BooleanVariable, IntegerVariable and MarkCounter API.
 #0011899: [New Feature] Enhance AdapterBoard API: permit enabling/disabling adapter board with an emulated configuration EEPROM.
 #0011901: [Change Request] Opening a read-only correction file fails due to insufficient permissions: Introduce OpenRead and OpenWrite.
 #0011897: [Change Request] Introduce laser parameters dedicated to sky-writing (laser on/off delays, acceleration time, acc/dec delays).
 #0011855: [Change Request] Vector commands whose control points (for example: arc's center) lie outside virtual field result in an error.


SP-ICE-3 Software - Software v1.38.1 (Released 02-12-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011831: [BUG] Firmware does not always start first time.
 #0011830: [BUG] SPICE3Diagnostic tool fails to set beam with "VerificationException".
 #0011829: [BUG] Relative motor move does not correctly test soft limits.
 #0011828: [BUG] Homing motor axis M1, M2 or M3 unintentionally stops M0.


SP-ICE-3 Software - Software v1.38.0 (Released 05-11-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011744: [BUG] SPICE3Config tool does not properly report errors that occur during discovery.
 #0011743: [BUG] Card Discovery may intermittently fail on PCs with larger number of installed network or SPICE3 cards.
 #0011725: [BUG] PCIe timing parameters not correct for SP-ICE-3 cards from new production series (SP301123 onwards).


SP-ICE-3 Software - Software v1.37.2 (Released 05-11-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011764: [BUG] PCIe timing parameters not correct for SP-ICE-3 cards from new production series (SP301123 onwards).


SP-ICE-3 Software - Software v1.37.1 (Released 08-08-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011557: [BUG] Turning laser on with a given number of pulses may fail when async flag is false and laser would be on for several seconds.
 #0011556: [BUG] When FieldSize Z is set to 0 eliptic curves are not working.
 #0011555: [BUG] Marking a bitmap line in sprint mode that takes more than 524ms fails.


SP-ICE-3 Software - Software v1.37.0 (Released 31-07-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011522: [New Feature] New Diagnostics-Tab in SPICE3Config that allows seeing the status of several card settings.
 #0011521: [New Feature] Add API to Get/Set all configurations at once on the card.
 #0011523: [Change Request] Add Inverse field correction also to the Native ClientLib and add functions to get Scanner/Field coordinates.
 #0011524: [BUG] Inverse field correction does not work as expected.
 #0011518: [BUG] Native vs Managed ClientUPnP::Discover() produce differing list of cards.


SP-ICE-3 Software - Software v1.36.2 (Released 05-11-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011761: [BUG] PCIe timing parameters not correct for SP-ICE-3 cards from new production series (SP301123 onwards).


SP-ICE-3 Software - Software v1.36.1 (Released 05-07-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011476: [Change Request] Filter glitches on laser alarm input shorter than 5us.
 #0011477: [BUG] Laser Power is not updated when disabling velocity-dependent power correction.
 #0011475: [BUG] At random SP-ICE-3 card may begin to advertise an extra "ghost" IP address (169.254.0.3).
 #0011474: [BUG] Card's UPnP Server may impair marking after weeks of up-time (possibly causing FIFO underflows).


SP-ICE-3 Software - Software v1.36.0 (Released 05-06-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011426: [New Feature] Allow for storing extra infos inside a correction file.
 #0011352: [New Feature] Check for list commands to be valid when deserializing lists from string or binary format and convert if necessary.
 #0011429: [Change Request] Support generating an inverse correction table to allow transforming coordinates in the scanner domain back to user domain.
 #0011425: [Change Request] Sign .NET assemblys.
 #0011424: [Change Request] Allow arming the laser while laser alarm is active.
 #0011364: [Change Request] Add an async flag to AppendLaserOn(pulses) list command.
 #0011409: [BUG] ObjectDisposeException occurs when the RTB JIT Helper terminates.
 #0011361: [BUG] Wobbling while marking may start/stop to late by up to the maximum tracking error.
 #0011344: [BUG] Bezier is not calculated correctly if start point and first control point are the same.


SP-ICE-3 Software - Software v1.35.4 (Released 05-11-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011762: [BUG] PCIe timing parameters not correct for SP-ICE-3 cards from new production series (SP301123 onwards).


SP-ICE-3 Software - Software v1.35.3 (Released 11-04-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011325: [BUG] PowerRamp will fail if ramping takes longer than 0,52ms on the same marking vector.
 #0011119: [BUG] Velocity-dependent power correction does not use correct expected beam velocity if wobble is active.
 #0011075: [BUG] Intermittently "ListDone" events are missed for lists with 0 execution time.


SP-ICE-3 Software - Software v1.35.2 (Released 06-03-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011218: [BUG] Determined motf encoder speed is unstable leading to unwanted shifts on the response distance.
 #0011167: [BUG] FIFO Underflow can occur when executing lists with short vectors or short dashed pattern.


SP-ICE-3 Software - Software v1.35.1 (Released 19-02-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011152: [BUG] For Bezier/Ellipse/Circle the power ramp feature can produce an error in rare cases.
 #0011147: [BUG] Part sensor response time not working.


SP-ICE-3 Software - Software v1.35.0 (Released 07-02-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010907: [New Feature] Add list command to apply a list of micro vectors.
 #0010884: [New Feature] Support for speed scaling.
 #0010802: [New Feature] Support for quadratic and cubic bézier curves.
 #0010649: [New Feature] Implement update mechanism for U-Boot.
 #0011072: [Change Request] Allow enabling sky-writing between subsequent mark vectors with immediate effect.
 #0011070: [Change Request] Add "bit mask" argument to all branch commands which compare a port against an expected value.
 #0011032: [Change Request] Ability to store Boolean and Integer Variables, and Mark Counter states (especially desirable for stand-alone mode).
 #0010994: [Change Request] Point-And-Shoot algorithm should ignore Velocity Based power correction.
 #0010978: [Change Request] Peripheral list commands (IO,Dac,Spi..) were executed relative to the position, but should be relative to the actual marking.
 #0010874: [Change Request] Sample code for Dashed Line.
 #0009970: [Change Request] Arcs and Ellipses do currently only work in x/y direction, transforming them into z will not work.
 #0011073: [BUG] Length of sky-writing extension vectors must not be affected by process transformation.
 #0011062: [BUG] Laser does not stay on requested time if AppendLaserOn is called with large number of pulses (on-time > 33 seconds).
 #0011042: [BUG] Watchdog causes premature CPU reset during Reboot (may affect firmware update).
 #0011033: [BUG] When using SwitchCase without a default the first command after the statement will be skipped if none of the cases applies.
 #0010977: [BUG] PointAndShoot in combination with LmWidth and short exposure times (<0,3µs) fails.
 #0010976: [BUG] PowerRamping may fail with a negative delay when using in combination with short vectors.
 #0010965: [BUG] SPICE3Config nullref error on Connect when Select-Box is empty.
 #0010937: [BUG] TRY_BOOT appears to increment by 2 for each unsuccessful boot attempt.
 #0010838: [BUG] For Arcs / Ellipses the Dashed Line pattern does not always precisely align with end point.
 #0010738: [BUG] Process transformation is not correctly applied to arcs and ellipses.


SP-ICE-3 Software - Software v1.34.5 (Released 05-11-19)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0011763: [BUG] PCIe timing parameters not correct for SP-ICE-3 cards from new production series (SP301123 onwards).


SP-ICE-3 Software - Software v1.34.4 (Released 28-11-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010941: [BUG] Wobble orientation depends on previous moving direction when wobbling on a static position.
 #0010940: [BUG] If Motf tracking continues directly after a StopMotf command an OutOfFieldException may occur.
 #0010927: [BUG] Writing CorrectionFiles to different cards at the same time using NativeClientLib may fail.
 #0010908: [BUG] Communication using the enhanced protocol does not work for Zoom and Sensor Axis.


SP-ICE-3 Software - Software v1.34.3 (Released 13-11-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010901: [BUG] Bitmap lines may be to short both at the beginning and the end.
 #0010856: [BUG] First "Execute" after "Abort" may produce unwanted extra mark vectors in some cases if Sky-Writing is enabled.


SP-ICE-3 Software - Software v1.34.2 (Released 02-10-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010862: [BUG] Execution of stand alone list may stop if two AbortMark signals appear shortly one after each other.
 #0010804: [BUG] Wobble without moving does not always work.
 #0010803: [BUG] WobbleEight API call in native client lib produces wrong results.


SP-ICE-3 Software - Software v1.34.1 (Released 18-09-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010795: [Change Request] Having more than 112 lists in execution will result in an error appearing in the log while there is none.
 #0010794: [BUG] Old SystemConfig gets not correctly converted.


SP-ICE-3 Software - Software v1.34.0 (Released 11-09-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010623: [New Feature] Firmware to enter an error state if initialisation fails: particularly in Stand-Alone mode.
 #0010781: [Change Request] Allow removing correction and calibration files from the card using SPICE3Config.
 #0010759: [Change Request] Allow position dependent power correction and power calibration to be enabled/disabled from within the list.
 #0010673: [Change Request] ScannerMonitoring should stop on the first error instead of reporting the error again until disabled or error is gone.
 #0010717: [BUG] Power timing incorrect if its update rate exceeds 1MHz (bitmap marking only).


SP-ICE-3 Software - Software v1.33.4 (Released 05-09-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010761: [BUG] SkyWriting change of heading is calculated wrong between end of circle/ellipse and the following vector.


SP-ICE-3 Software - Software v1.33.3 (Released 17-08-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010700: [BUG] SkyWriting vectors for ellipses with rotation are wrong.


SP-ICE-3 Software - Software v1.33.2 (Released 08-08-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010698: [BUG] No positions will be send to the ScanHead if sum of MaxTrackingError plus TransferDelay plus PowerChangeSetup is >= 10000.
 #0010697: [BUG] When a list is executed while abort signal is still active, marking result will be incorrect.
 #0010626: [BUG] Power-correction file suddenly has length 0.


SP-ICE-3 Software - Software v1.33.1 (Released 31-07-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010670: [BUG] DashedLine pattern may not be marked correctly under some circumstances.


SP-ICE-3 Software - Software v1.33.0 (Released 17-07-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010648: [New Feature] Implement SerialPort functionality (RS-232 X802) for controlling external equipment.
 #0010639: [New Feature] Support for a part sensor response time for Motf.
 #0010552: [New Feature] Support for equally spaced pulses.
 #0010441: [New Feature] Extend wobble feature to not only support circular wobbling but also Lissajous figures.
 #0010629: [BUG] ListAPI.IsExecutionInProgress() does not return true when waiting for a "Start Mark", "Part Sensor" or "Motf" event.
 #0010622: [BUG] When using Motf the marking position differs for different belt speeds.


SP-ICE-3 Software - Software v1.32.2 (Released 12-07-18)
========================================================
 #0010613: [Change Request] Alter card's scanner model from PT2 to PT6 to further improve velocity-dependent power corrections.
 #0010614: [BUG] Delay used for reference speed ignores parameter "Scan Head Delay".


SP-ICE-3 Software - Software v1.32.1 (Released 13-06-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010531: [Change Request] Loading CommandLists that are stored on the card takes a long time.
 #0010580: [BUG] An error may occur when marking consecutive mark vectors with DashedLine enabled.
 #0010567: [BUG] When adding ellipses to the list execution may not finish or some timings may be wrong.
 #0010551: [BUG] Having more than one list in execution queue when using skywriting last vector of the previous list is marked without skywriting.
 #0010544: [BUG] Extra Z Axis does not work.
 #0010520: [BUG] HeadCorrectionAPI.GetOpticalParameters() does not work in latest release.
 #0010510: [BUG] List command "ExitList" does not take "EvaluationLeadTime" into account when testing condition.


SP-ICE-3 Software - Software v1.32.0 (Released 25-05-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010468: [New Feature] SP-ICE-3 support for stepper motors using list or control commands.
 #0010461: [New Feature] Support for two field correction files per head to allow fast switching between two correction files.
 #0010460: [New Feature] Allow disabling of scanner axes to be able to only work with specific axes.
 #0010204: [New Feature] Allow monitoring of the scan head status in the background using the enhanced protocol.
 #0010513: [Change Request] Apply "Power Change Delay" also to power changes due to velocity changes when "velocity-dependant power correction" is enabled.
 #0010512: [BUG] SPICE3Config throws a NullReferenceException if an adapter board with a blank EEPROM is connected to the card.
 #0010511: [BUG] Skywriting erroneously inserts jump/mark delays immediately after acceleration/before deceleration vector, respectively.
 #0010483: [BUG] Hash stored in correction files with more than one table is wrong.
 #0010482: [BUG] ResetToDefaults fails with an error when having a list with more than 1000 commands on the card.
 #0010481: [BUG] Opening the webinterface from within SPICE3Config fails when selecting a card entry that was found using Discover.


SP-ICE-3 Software - Software v1.31.3 (Released 08-05-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010454: [BUG] Marking with DashedLine enabled fails with "Cannot add pulse @ t0=xx: resulting delay (x) is too short" under some circumstances.


SP-ICE-3 Software - Software v1.31.2 (Released 13-04-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010407: [BUG] Changing spot magnification does not work on all supported 4D scanhead formats.
 #0010401: [BUG] MarkTime is applied in reversed order.
 #0010375: [BUG] When using PowerRamping to ramp up to maximum or down to minimum, an overflow may occur.


SP-ICE-3 Software - Software v1.31.1 (Released 20-03-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010354: [Change Request] Exceptions that occur when using an API call should be logged to the ClientLib logfile if it is enabled.
 #0010351: [BUG] Changing power between two markings will apply a LaserOffDelay prior to changing the power.
 #0010348: [BUG] Having more than 128 lists executing at the same time will block the firmware communication until the first list is done.
 #0010346: [BUG] When an error occures during execution, firmware may crash in rare circumstances.


SP-ICE-3 Software - Software v1.31.0 (Released 09-03-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010232: [New Feature] Implement CommandList.AppendLabel and CommandList.BranchToLabel.
 #0010205: [New Feature] Allow changing single values of an active power correction table.
 #0010203: [New Feature] Implement an option to install user programs on the SP-ICE-3 card and autostart on boot.
 #0010327: [BUG] Disabling client log ("DisableLog") does not immediately close log file.


SP-ICE-3 Software - Software v1.30.2 (Released 28-02-18)
========================================================
 #0010292: [Change Request] Enhance velocity-dependent power correction to take "Power Change Setup" into account.


SP-ICE-3 Software - Software v1.30.1 (Released 02-02-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010213: [BUG] Enabling/Disabling DashedLine while currently marking will lead to wrong results or cause an error.


SP-ICE-3 Software - Software v1.30.0 (Released 29-01-18)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009936: [New Feature] Add a sample program which demonstrates the "Trace Buffer" features.
 #0010147: [Change Request] Add TryWaitForProgress/ListDone/ListIdle API calls that don't throw a exception in addition to WaitForProgress/ListDone/ListIdle.
 #0010144: [Change Request] Add config option to allow lm signal to be tied to the gate signal for the case that a laser has no gate input.
 #0009750: [Change Request] Laser Alarm hat keine Auswirkung auf Listenausführung.
 #0008465: [Change Request] Laser Alarm should indicate an error.
 #0010146: [BUG] API logging for large lists that are transfered using SetList is wrong.
 #0010145: [BUG] Adding two peripheral commands to a list one after each other that are setting and clearing the same bit will lead to a toggle.
 #0010143: [BUG] Missing ListDone or other errors during list execution in rare cases.
 #0010118: [BUG] When using loops inside a CommandList created with the native ClientLib, execution may fail with an error in some circumstances.
 #0010117: [BUG] Changing signal polarity inside the laser config does not change the polarity for external adapter boards.
 #0010070: [BUG] ELL3A: Negative sweep angle gets marked in positive direction.
 #0009983: [BUG] When PowerTarget is set to Dac0 or Dac1 and lmWidth is equal or larger than 1/lmFrequency, lm signal is wrong.
 #0009965: [BUG] List command AppendEnableVelocityCorrection does set but not apply the value.
 #0009835: [BUG] Corrupted update-package causes unexpected reboot, and further attempts to run update fail.


SP-ICE-3 Software - Software v1.29.0 (Released 15-12-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0010087: [New Feature] Add possibility to allow synchronization with laser.
 #0010083: [New Feature] Incorporated SPICE3LogViewer into the published set of SPICE3Tools.
 #0010023: [New Feature] Stand-alone mode, Return to Stand-alone list after error list.
 #0009935: [New Feature] Native Client Lib misses SystemAPI methods: GetConnectionLimit, GetFirmwareProductVersion, GetSupportedTimeZone.
 #0009934: [New Feature] Listxxx Event Delegates should include reference of client connection to identify its sender.
 #0009888: [New Feature] Allow to define maximum line length of log file entries.
 #0010089: [Change Request] Load (but not execute) all stand alone lists directly after enabling stand alone mode.
 #0010081: [Change Request] Change TraceBufferLib to be more userfriendly.
 #0010066: [Change Request] Move DistancePerCount from MotfConfig to QuadratureDecoderConfig.
 #0010061: [Change Request] DashedLine feature should use gate output instead of modulating the power.
 #0010016: [Change Request] When SkyWriting is enabled and last vector is a mark vector, there will be no decelleration for this vector.
 #0010085: [BUG] VersionMismatchException reported by SPICE3Config not immediately obvious to end-user.
 #0010062: [BUG] Setting pulse width to zero was actually setting the output pulse width to maximum.
 #0010015: [BUG] When StandAloneMode is enabled, errorList is only executed on error after restarting the firmware.
 #0010002: [BUG] When executing only one single list in an endless loop, mark/jump speed increases significantely after several hours.
 #0009912: [BUG] Card cannot be discovered if connected externally after firmware has booted.


SP-ICE-3 Software - Software v1.28.6 (Released 15-11-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009962: [Change Request] APIPA range used by INT and P2P cards not sufficient.
 #0009932: [Change Request] Reassign upper 3 axes in the RL3 protocol.
 #0010041: [BUG] upnp_app (daemon) consumes CPU disproportinately, causing unexpected pauses during marking.
 #0009998: [BUG] When using variable jump delay, execution fails with an exception if JumpLengthLimit is set to zero.
 #0009987: [BUG] When using a Motf Wait-command inside the list, execution of the list will not finish under some circumstances.
 #0009975: [BUG] SkyWriting: MinCoH is only used between two subsequent mark vectors but ignored for mark after jump or jump after mark.
 #0009974: [BUG] Execution fails because driver returns an error when writing new vectors.
 #0009963: [BUG] Velocity Dependent Power Correction not working correctly for Arcs and Ellipses.
 #0009933: [BUG] Corrupt correction files (without valid header) result in a "sharing violation" exception.
 #0009999: [Installation] ATTENTION: Calculation of private IP addresses has changed. Update appears not to finish. Please discover the card after update.


SP-ICE-3 Software - Software v1.28.5 (Released 11-10-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009880: [Change Request] Using branching condition can lead to an fifo underflow.
 #0009909: [BUG] TraceBuffer event timestamps can be wrong.
 #0009897: [BUG] Field corrections not completely loaded for scanner systems with 4 or more axes.
 #0009867: [BUG] When turning laser on for a specific number of pulses, the number of pulses is ignored and laser will stay on.


SP-ICE-3 Software - Software v1.28.4 (Released 22-09-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009833: [Change Request] StopMOTF should turn the LaserOff.
 #0009856: [BUG] Execution can block if several branch commands are executed directly one after each other.
 #0009849: [BUG] DashedLine and PowerRamp feature do not correctly consider delays.
 #0009837: [BUG] Wobble-feature: peaks/ disturbances in the X-command signal.
 #0009836: [BUG] Wobblewidth is 4x bigger than the set width(in weldMARK and JustageSW).


SP-ICE-3 Software - Software v1.28.3 (Released 08-09-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009825: [BUG] TimeoutException may occur after 10 seconds when working with conditions inside the list.
 #0009823: [BUG] Firmware crashs during initialization if the STOP_MARK input of the Laser connector is active during boot.


SP-ICE-3 Software - Software v1.28.2 (Released 04-09-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009816: [BUG] When turning laser on manually using a list command, the laser is turned off automatically after end of list.
 #0009815: [BUG] QuadratureDecoderConfig may not be correctly applied.
 #0009812: [BUG] Receiving responses from ScanHead 1 using the RAYLASE protocol does not work.
 #0009811: [BUG] PowerRamping can lead to power set to zero when ramping with many small vectors.
 #0009808: [BUG] DashedLine does stop to early if laserOn/laserOff delays are set.
 #0009805: [BUG] Changing power to a fixed value when power ramp is in progress, the value has no effect.
 #0009794: [BUG] When disarming the laser by a list command directly after a mark, gate can go low to early.


SP-ICE-3 Software - Software v1.28.1 (Released 16-08-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009771: [Change Request] Allow input of wobble frequency in Hz instead of MHz when using SPICE3Config.
 #0009758: [Change Request] Change "RAYLASE AG" to "RAYLASE GmbH" everywhere.
 #0009787: [BUG] With velocity-dependent power-correction enabled laser power changes too early for certain configurations.
 #0009784: [BUG] When changing the power by a list command after a mark vector, an undesired mark delay is added.
 #0009783: [BUG] TransmitEnhanced throws NullReferenceException.
 #0009782: [BUG] When setting Motf distancePerCount for the compensation encoder, distancePerCount of main encoder is used instead.
 #0009769: [BUG] Wobble output frequency is imprecise, the error increases for higher frequencies.
 #0009753: [BUG] Temporary extracted correction files should be deleted when CorrectionFile is closed.
 #0009738: [BUG] Applying process transformation by list and deleting the list afterwards will reset process transformation to identity.
 #0009736: [BUG] Power change takes effect during LaserOff time Delay of the previous marking vector.


SP-ICE-3 Software - Software v1.28.0 (Released 28-07-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009649: [New Feature] SPICE3Config: In the extended tab show also status for Zoom-Axis and SensorZ-Axis if available.
 #0009639: [New Feature] Support for circular wobble.
 #0009729: [Change Request] EnableLog should write client and firmware version into the log file.
 #0009699: [BUG] Variable PolyDelay not working as expected.
 #0009668: [BUG] When manually turning off the laser using AppendLaserOff then the LaserOffDelay is applied on top of MarkDelay.
 #0009664: [BUG] Native client lib: arc commands is interpreted as M3A.
 #0009658: [BUG] Overflow occurs when jumping/marking to the minimum position on the x-Axis (-FieldSize.X/2).
 #0009646: [BUG] SPICE3Config Enhanced-Tab does not work anymore for ScanHeads with two axes.
 #0009638: [BUG] Ellipse: wrong target point calculation.
 #0009632: [BUG] Ellipse with orientation angle jumps before or after marking.
 #0009614: [BUG] ProcessTransformation is not applied to ELL3A.


SP-ICE-3 Software - Software v1.27.0 (Released 12-07-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009596: [New Feature] Port C should support inputs Motor Limit and Motor Home.
 #0009595: [New Feature] Port C should support inputs StartMark, AbortMark and the Part Sensor.
 #0009579: [New Feature] TraceBufferLib should contain a helper function to bring the events into a readable form sorted by timestamp.
 #0009145: [New Feature] Implement Skywriting funtionality.
 #0009603: [Change Request] Suppress "scratchy" noise made by scanner during Field Correction Upload (including "ResetToDefaults").
 #0009601: [Change Request] Refactor ScannerConfig to reflect all 3D & 4D modes and to support up to 5 axes.
 #0009570: [Change Request] Implement user-setting for IPv4 NETMASK.
 #0009568: [Change Request] Branching by port should allow 2^16 (ports A-C) or 2^24 selectors (ports D-E), not just 16 or 24, respectively.
 #0009627: [BUG] Set/Get for SystemConfig does not work from native ClientLib.
 #0009619: [BUG] Scanner's field transformation not correctly converted after updating to version 1.26.0.
 #0009602: [BUG] Tracking Error compensation should be done after applying the field corrections.
 #0009594: [BUG] Requested trace "Analog2" mistakenly recorded channel "Analog1".
 #0009572: [BUG] Card apparently not replying to ping / ssh from host.
 #0009571: [BUG] Execution fails when using a very slow MarkSpeed (e.g. < 1 mm/s).
 #0009525: [BUG] Some old correction files created with a version prior to 1.26.0 can not be read by the managed library.
 #0009524: [BUG] When having large sleep times (several ms) between two peripheral commands, a fifo underflow may occur.
 #0009521: [BUG] Some compressed correction files that are created with the managed lib can not be modified by the unmanaged lib.
 #0009512: [BUG] Segfault in Linux Native ClientLib when running UnitTests.


SP-ICE-3 Software - Software v1.26.1 (Released 24-05-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2


 #0009505: [BUG] rlCFTableReadUInt64 does not work for new fc3 format with support for compression/more than one table.


SP-ICE-3 Software - Software v1.26.0 (Released 22-05-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2


 #0009400: [New Feature] API for managing the Spot Size (Zoom).
 #0009464: [BUG] Incorrect postinst for init-ifupdown.
 #0009369: [BUG] Drill Object & Power Change Delay.


SP-ICE-3 Software - Software v1.25.3 (Released 13-06-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2

 #0009551: [BUG] Execution Error can appear when using the DashedLine feature.


SP-ICE-3 Software - Software v1.25.2 (Released 29-05-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2


 #0009356: [New Feature] Add a list command for activating/deactivating velocity-dependent power correction.
 #0009509: [BUG] When using the RAYLASE protocol for communication with two heads, command may be sent to the wrong head.
 #0009503: [BUG] When adding sleeps > 6 seconds to the list, no execution happens and card blocks until reset.
 #0009301: [BUG] If there is a CommandList with a peripheral command before the control engine was used, execution will fail.


SP-ICE-3 Software - Software v1.25.1 (Released 17-05-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2


 #0009485: [BUG] Firmware initialization can fail with a NullReferenceException.
 #0009484: [BUG] Adapter eeprom be corrupted when firmware crashes on initialization.
 #0009476: [BUG] For the AppendExitList(..) list command the EvaluationLeadTime is not considered.
 #0009450: [BUG] When executing a list that contains AppendSimmerPower command several times it will fail after the 5. execution.


SP-ICE-3 Software - Software v1.25.0 (Released 05-05-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2


 #0009381: [New Feature] Add Sample Code for Master List / AppendSwitch command.
 #0009317: [New Feature] Stand-Alone Mode.
 #0009302: [New Feature] OpticalParameters.MaxAngle should be per axis.
 #0008023: [New Feature] Laser Power Scale should be incorporated in the Laser Config structure.
 #0009342: [Change Request] Possibility to store motf simulation speed and acceleration on the card.
 #0009332: [Change Request] Load PCL-Files (PowerCalibration files) using the API, Interpolation within the firmware.
 #0009386: [BUG] When marking a whole ellipse (360°) the marking stops before the endpoint is reached.
 #0009374: [BUG] Linux libraries are missing various symbols resulting in linker errors.
 #0009335: [BUG] CorrectionFileLib: Calling GetOpticalParameters() leaves the file open.
 #0009326: [BUG] SPICE3Config fails to retrieve "tracking error" from older SPICE3Config configuration files.
 #0009214: [BUG] Firmware does not handle the transformation of 2D-Vectors correctly.


SP-ICE-3 Software - Software v1.24.1 (Released 14-03-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2


 #0009289: [Change Request] Range of the field should be between -(Fieldsize/2) / (Fieldsize/2) including the outer limit.


SP-ICE-3 Software - Software v1.24.0 (Released 09-03-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2


 #0009168: [New Feature] Firmware: Implement a Factory Reset mechanism.
 #0009157: [New Feature] Firmware part: Allow configuration of Motf to allow Spi as an input source besides the Quadrature Decoder.
 #0009155: [New Feature] Allow configuration of Motf MainEncoder and CompensationEncoder for any direction.
 #0009154: [New Feature] Allow changing the value of a BooleanVariable and a IntegerVariable by list command.
 #0009153: [New Feature] Implement Variable Jump Delay.
 #0009274: [Change Request] Match on condition not true when using flow control.
 #0009269: [Change Request] Update mechanism for configuration files stored on the SP-ICE-3 card.
 #0009257: [Change Request] Method "GetOpticalParameters" exists in native DLL, but is missing in the managed DLL.
 #0009256: [Change Request] Change naming of ScanHeadConfig parameter from Lag to TrackingError.
 #0009252: [Change Request] Naming of rlListAppend*Cond should be consistent with rlListAppend*CondFlag.
 #0009206: [Change Request] Motf commands "WaitForPart" and "WaitForDistance" should not automatically reset the MOTF offset.
 #0009183: [Change Request] Implement a LIST_EXIT command, to allow lists to be prematurely terminated.
 #0009181: [Change Request] Provide JUMP_TO_LIST in addition to BRANCH_TO_LIST.
 #0009169: [Change Request] Extend enum "LAYER" by adding new definition "L1".
 #0009280: [BUG] Reusing a large CommandList after calling List.Set may result in "count is negative" exception.
 #0009271: [BUG] Enabling of invalid field corrections should not be permitted.
 #0009270: [BUG] Correction files on the card are created using the filedsize set in the ScannerConfig and not the one in the optical parameters.
 #0009251: [BUG] Motf Encoder Scale is not updated when field size is changed.
 #0009226: [BUG] Loops with a count of 0 are executing indefinitely.
 #0009223: [BUG] Correction files for second scan head are not correctly loaded - may also affect first scan head.
 #0009222: [BUG] Scanhead Format "Single 4D" mistakenly selects "Dual 2D".
 #0009203: [BUG] ScannerAPI.ReadPositions() returns an incorrect "NominalBeforeTransform".
 #0009202: [BUG] Transform3D incorrectly calculates inverse transformation.
 #0009179: [BUG] Any early Waitxxx command in a list prevents start of execution.
 #0009174: [BUG] Invalid field / power correction file should report an error.
 #0009170: [BUG] SetClientLibVersion does not detect version mismatch correctly.
 #0009159: [BUG] SPICE3 incorrectly treats 18 bit responses from scanhead.
 #0009137: [BUG] When the webinterface user.config is broken or empty, webinterface does not work.
 #0009124: [BUG] ConnectionLimit is always 1 even if its changed inside the webinterface.
 #0008988: [BUG] Motf with virtual field: Axes Head0=[X] are outside the scanner's field.


SP-ICE-3 Software - Software v1.23.0 (Released 02-02-17)
========================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2


 #0009118: [New Feature] Part Sensor events shall be suppressed for a certain distance past the initial trigger.
 #0009098: [New Feature] Append list commands from string.
 #0008975: [New Feature] Support Head Status for analog scan heads.
 #0008974: [New Feature] Provide way to realize the SP-ICE-1's "Auto_Change" functionality.
 #0008339: [New Feature] SPI Laser, List command for setting Simmer Current needed.
 #0009050: [Change Request] Allow setting of HeadFormat to "SL2_Single4D" when working in 3D mode.
 #0008932: [Change Request] "Clear pending event" does not always remove all past events due to race condition.
 #0009090: [BUG] ELL3A: Axes Head0=[X] are outside the scanner's field.
 #0009087: [BUG] "Start Mark" should be edge-sensitive.
 #0009079: [BUG] Reboot from WebIF leaves "reboot=true" in address bar of browser.
 #0009077: [BUG] Client.ScannerCommunication.TransceiveEnhanced returns none or wrong values for Y Axis.
 #0009044: [BUG] First execution after firmware start may result in FIFO underflow - subsequent runs are OK.
 #0009041: [BUG] Firmware crashes at startup due to apparently empty config files.
 #0009034: [BUG] PowerRamping fails when using a very small change-rate (<0.0001).
 #0009017: [BUG] Unexpected behaviour in Point 'n' Shoot using common exposure.
 #0009000: [BUG] Peripheral commands using ScannerLag and ScanHeadDelay for calculation of t0.
 #0008854: [BUG] Firmware crashes at startup with "Unhandled Exception" from ListExecutor.
 #0008477: [BUG] Bitmap, Point & Shoot, strange glitch at the beginning.


SP-ICE-3 Software - Software v1.22.0-RC1 (Released 08-12-16)
============================================================

Hardware Compatibility:
SP-ICE-3 Rev 4.0
XY2-100 Interface Rev 2
SPI Laser Interface Rev 2


 #0008931: [New Feature] Add bit to SFR to indicate state changes on START_MARK.
 #0008812: [New Feature] Sample code MOTF & large bitmaps.
 #0008970: [Change Request] Report errors during execution using custom Exceptions instead of throwing always an AbortException.
 #0008896: [Change Request] WaitForProgress/rlListWaitForProgress should queue events locally like WaitForListIdle and WaitForListDone.
 #0008948: [BUG] Point 'n' Shoot leads to failure if last M pixels are 0.
 #0008939: [BUG] AppendTraceConfig combined with long sleeps cause a Remote Exception.
 #0008927: [BUG] A previous "out-of-field" error prevents a correction file upload from succeeding.
 #0008893: [BUG] Allow uploading a gcd correction file for head 1 in SL2_Single3D mode.
 #0008883: [BUG] No space left on device: /media/fat only allows up to 128 entries in directory?!?!
 #0008879: [BUG] Correction files are not completely written into the driver, the last x bytes are missing.
 #0008803: [BUG] Card gets stuck at power up - all leds on.


